AuthTotp

Begin TOTP setup

POST/auth/v1/users/current/totp/setup

Begins TOTP setup for the authenticated user by generating and returning a provisioning secret and QR code that have not yet been enabled.

X-API-Key<token>

In: header

Response Body

200application/json

OK

type: object

qr_code_url?string
secret?string
401application/json

Unauthorized

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

curl -X POST "https://api.rixl.com/auth/v1/users/current/totp/setup"
fetch("https://api.rixl.com/auth/v1/users/current/totp/setup", {
  method: "POST"
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://api.rixl.com/auth/v1/users/current/totp/setup"

  req, _ := http.NewRequest("POST", url, nil)

  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.rixl.com/auth/v1/users/current/totp/setup"

response = requests.request("POST", url)

print(response.text)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;

HttpClient client = HttpClient.newBuilder()
  .connectTimeout(Duration.ofSeconds(10))
  .build();

HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
  .uri(URI.create("https://api.rixl.com/auth/v1/users/current/totp/setup"))
  .POST()
  .build();

try {
  HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
  System.out.println("Status code: " + response.statusCode());
  System.out.println("Response body: " + response.body());
} catch (Exception e) {
  e.printStackTrace();
}
using System;
using System.Net.Http;
using System.Text;

var client = new HttpClient();
var response = await client.PostAsync("https://api.rixl.com/auth/v1/users/current/totp/setup");
var responseBody = await response.Content.ReadAsStringAsync();

OK

application/json

{
  "qr_code_url": "string",
  "secret": "string"
}

Unauthorized

application/json

{
  "code": 401,
  "details": "The provided ID is not valid",
  "error": "Unauthorized"
}